/<template>
  <div class="container about-container">
    <el-carousel class="box about-box">
      <el-carousel-item class="item" v-for="src in imgSrcs" :key="src">
        <!-- <h3 class="small">{{ item }}</h3> -->
        <img :src='src' alt="ahhh" />
      </el-carousel-item>
    </el-carousel>
    <div class="proj">
      <h1>免费的神经网络训练平台</h1>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      imgSrcs: [
        require('../assets/pic1.png'),
        require('../assets/pic2.png'),
        require('../assets/pic3.png'),
      ]
    }
  },
};
</script>

<style lang="scss">
/* 调整走马灯的高度 */
.about-container > .about-box > div {
  height: 88vh;
}
</style>

<style lang="scss" scoped>
.container {
  position: relative;
  // background-color: aqua;
  height: 90vh;
  .box {
    position: absolute;
    width: 100%;
    z-index: 0;
    // top: ;
    .item {
      display: flex;
      justify-content: center;
      // background-color: ;
      img {
        height: 100%;
      }
    }
  }
  .proj {
    pointer-events: none;
    z-index: 1;
    position: relative;
    width: 100%;
    height: 100%;
    h1 {
      margin: 0;
      font-size: 3.5rem;
      position: absolute;
      top: 5vh;
      width: 100vw;
      text-align: center;
    }
    .side {
      position: absolute;
      top: 20vh;
      left: 10vw;
      width: 30vw;
      max-width: 500px;
      height: 50vh;
      border-radius: 10px;
      background-color: rgba($color: #555, $alpha: 0.2);
    }
  }
}
</style>